LuceneKernelExtension (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.index.lucene

## Class LuceneKernelExtension

- java.lang.Object
- - org.neo4j.kernel.lifecycle.LifecycleAdapter
  - - org.neo4j.index.lucene.LuceneKernelExtension

- All Implemented Interfaces:
    org.neo4j.kernel.lifecycle.Lifecycle

      public class LuceneKernelExtension
      extends org.neo4j.kernel.lifecycle.LifecycleAdapter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LuceneKernelExtension.Configuration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneKernelExtension(org.neo4j.kernel.configuration.Config config, GraphDatabaseService gdb, TransactionManager txManager, org.neo4j.kernel.impl.index.IndexStore indexStore, org.neo4j.kernel.impl.transaction.xaframework.XaFactory xaFactory, org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystemAbstraction, org.neo4j.kernel.impl.transaction.XaDataSourceManager xaDataSourceManager, IndexProviders indexProviders)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class org.neo4j.kernel.lifecycle.LifecycleAdapter

      `init, shutdown`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneKernelExtension

          public LuceneKernelExtension(org.neo4j.kernel.configuration.Config config,
                               GraphDatabaseService gdb,
                               TransactionManager txManager,
                               org.neo4j.kernel.impl.index.IndexStore indexStore,
                               org.neo4j.kernel.impl.transaction.xaframework.XaFactory xaFactory,
                               org.neo4j.kernel.impl.nioneo.store.FileSystemAbstraction fileSystemAbstraction,
                               org.neo4j.kernel.impl.transaction.XaDataSourceManager xaDataSourceManager,
                               IndexProviders indexProviders)

  - ### Method Detail

    - #### start

          public void start()
                     throws Throwable

      Specified by:
        `start` in interface `org.neo4j.kernel.lifecycle.Lifecycle`
      Overrides:
        `start` in class `org.neo4j.kernel.lifecycle.LifecycleAdapter`
      Throws:
        `Throwable`

    - #### stop

          public void stop()
                    throws Throwable

      Specified by:
        `stop` in interface `org.neo4j.kernel.lifecycle.Lifecycle`
      Overrides:
        `stop` in class `org.neo4j.kernel.lifecycle.LifecycleAdapter`
      Throws:
        `Throwable`

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.